Changeset 4848 in /cluster/svnroot


Ignore:
Timestamp:
Aug 12, 2014 10:46:41 PM (6 years ago)
Author:
skylar
Message:

merging in changes for #858,#859,#866,#867,#869,#870

Location:
bccd-ng/trunk
Files:
1 deleted
11 edited

Legend:

Unmodified
Added
Removed
  • bccd-ng/trunk

  • bccd-ng/trunk/packages/etc/init.d/bccd-liberate

    r4714 r4848  
    4040    LIBDEV=$(egrep -o '[[:space:]]libdev=.*' /proc/cmdline |cut -d= -f2)
    4141   
     42    LIBOPTIONS="--libdev=${LIBDEV} --force"
     43
     44    if egrep -q '[[:space:]]libdebug' /proc/cmdline; then
     45        LIBOPTIONS+=" --debug"
     46    fi
     47   
    4248    if [[ -n ${LIBDEV} ]]; then
    4349        log_action_begin_msg "Starting liberation to ${LIBDEV}"
    44         if perl /root/liberate.pl --libdev=${LIBDEV} --force; then
     50        if perl /root/liberate.pl ${LIBOPTIONS}; then
    4551            log_action_end_msg "Liberation to ${LIBDEV} complete"
    4652        else
    47             log_failure_msg "Failed to liberate to ${LIBDEV}, continuing boot"
     53            log_failure_msg "Failed to liberate to ${LIBDEV}, continuing boot after sleeping"
     54            sleep 30
    4855            exit 2
    4956        fi
  • bccd-ng/trunk/packages/etc/sudoers

    r3998 r4848  
    99
    1010Defaults        env_reset
     11Defaults    mailto="root@localhost"
     12Defaults    !mail_no_user
    1113
    1214# Uncomment to allow members of group sudo to not need a password
  • bccd-ng/trunk/packages/liberate.pl

    r4734 r4848  
    318318    [
    319319        '/sbin/mkswap',
     320        '-f',
    320321        $SWAPDEV,
    321322    ],
     
    575576        "$LIBDIR/root/.ssh/id_dsa",
    576577        '-N',
     578        # Don't use '' - this gets passed through as a string-literal when
     579        # we want an empty string
    577580        q{},
    578581    ],
     
    630633            '-t',
    631634            'dsa',
    632             '-q',
    633635            '-f',
    634636            "$NEWHOME/$USER/.ssh/id_dsa",
    635637            '-N',
    636             q{''},
     638            # Don't use '' - this gets passed through as a string-literal when
     639            # we want an empty string
     640            q{},
    637641        ],
    638642    );
  • bccd-ng/trunk/packages/packages.conf

    r4832 r4848  
    194194    - mesa-utils
    195195    - linux-image
    196     - mailutils
    197196AMD64 :
    198197    - libc6-dev-i386
  • bccd-ng/trunk/trees/bin/bccd-report

    r3930 r4848  
    3131fi
    3232
    33 while getopts "nh" opt; do
     33while getopts "h" opt; do
    3434        case $opt in
    35                 n )
    36                         OUTFILE=~bccd/bccd-report.tar.bz2
    37                         ;;
    3835                h )
    3936                        HELP=1
     
    5148
    5249TMPDIR=$(/bin/mktemp --tmpdir=/var/tmp -d bccd-report.XXXXXXX)
     50OUTFILE=~bccd/bccd-report.tar.bz2
    5351
    5452/sbin/ifconfig -a > $TMPDIR/ifconfig_a.txt
    5553/bin/lsmod > $TMPDIR/lsmod.txt
    5654/bin/ls -l /diskless/clients > $TMPDIR/diskless_clients.txt
    57 /bin/tar -C / -cf $TMPDIR/etc.tar /etc
    58 /bin/tar -C / -cf $TMPDIR/var_log.tar /var/log
     55/bin/tar -C / -cf $TMPDIR/etc.tar etc
     56/bin/tar -C / -cf $TMPDIR/var_log.tar var/log
    5957/bin/dmesg > $TMPDIR/dmesg.txt
    6058/bin/ps waux > $TMPDIR/ps_waux.txt
     
    6563/bin/netstat -apn > $TMPDIR/netstat_apn.txt
    6664
    67 if [[ -n ${OUTFILE} ]]; then
    68         /bin/tar -C $TMPDIR -cf - .| \
    69                 nice pbzip2 > ${OUTFILE}
    70         /bin/chown bccd:bccd ${OUTFILE}
    71 else
    72         /bin/tar -C $TMPDIR -cf - .| \
    73                 nice pbzip2 | \
    74                 uuencode - | \
    75                 mail -s "bccd-report for $(hostid)" bccd-developers@bccd.net
    76 fi
     65/bin/tar -C $TMPDIR -cf - .| \
     66        nice pbzip2 > ${OUTFILE}
     67/bin/chown bccd:bccd ${OUTFILE}
     68
     69echo "Generated ${OUTFILE}, copy off using " >&2
     70echo "http://bccd.net/wiki/index.php/UserInstructions#USB_mounting" >&2
  • bccd-ng/trunk/trees/bin/bccd-shutdown

    r4433 r4848  
    2020
    2121    # Iterate over all hosts that are not the head node
    22     for HOST in $(awk '$1 !~ /^node000/ {print $1}' ${TEMP_HOST});do
     22    for HOST in $(awk '$1 !~ /^node000/ {gsub(/:.*/,"",$1); print $1}' ${TEMP_HOST}) ; do
    2323        ( echo "Shutting down ${HOST}" && ssh ${HOST} "sudo /sbin/shutdown -h now" ) >&2 &
    2424    done
     
    3636
    3737    # Loop over nodes, failing if any of them respond
    38     for HOST in $(awk '$1 !~ /^node000/ {print $1}' ${TEMP_HOST});do
     38    # Strip out CPU annotations from MPICH2 and OpenMPI
     39    for HOST in $(awk '$1 !~ /^node000/ {gsub(/:.*/,"",$1); print $1}' ${TEMP_HOST}) ; do
    3940        if ping -qw 2 -c 1 ${HOST} > /dev/null; then
    4041            return 1
  • bccd-ng/trunk/trees/bin/bccd-test-suite

    r4753 r4848  
    1919
    2020# LIVE
    21 if [[ "$(cat /etc/bccd-stage)" = "LIVE" ]]; then
     21if [ "$(cat /etc/bccd-stage)" = "LIVE" ]; then
    2222
    2323    # #567
    24     if [[ -f "/lib/modules/$(uname -r)/kernel/drivers/video/nvidia.ko" ]]; then
     24    if [ -f "/lib/modules/$(uname -r)/kernel/drivers/video/nvidia.ko" ]; then
    2525        echo "#567 passed"
    2626    else
     
    3838
    3939    # #658
    40     if [[ -f "/lib/modules/$(uname -r)/kernel/drivers/net/usb/asix.ko" ]]; then
     40    if [ -f "/lib/modules/$(uname -r)/kernel/drivers/net/usb/asix.ko" ]; then
    4141        echo "#658 passed"
    4242    else
     
    5454
    5555    # #771
    56     if [[ -f /bin/bccd-shutdown ]]; then
     56    if [ -f /bin/bccd-shutdown ]; then
    5757        echo "#711 FAILED";
    5858        RC=$((RC+1))
     
    9292
    9393    # #780
    94     if [[ -d /etc/vim ]] && [[ $(ls /etc/vim|wc -l) -gt 0 ]]; then
     94    if [ -d /etc/vim ] && [ $(ls /etc/vim|wc -l) -gt 0 ]; then
    9595        echo "#780 passed - /etc/vim files exist"
    9696    else
     
    184184
    185185    # #811
    186     if [[ -d ~/Community-Modules/UMW/cpumon ]]; then
     186    if [ -d ~/Community-Modules/UMW/cpumon ]; then
    187187        echo "#811 passed";
    188188    else
     
    216216
    217217    # #822
    218     if [[ "$(count_tvoc_logs)" = "0" ]]; then
     218    if [ "$(count_tvoc_logs)" = "0" ]; then
    219219        echo "#822 passed"
    220220    else
     
    224224
    225225    # #823
    226     if [[ ! -d "${HOME}/Molecular-dynamicss/NAMD" ]]; then
     226    if [ ! -d "${HOME}/Molecular-dynamicss/NAMD" ]; then
    227227        echo "#823 passed"
    228228    else
     
    232232
    233233    # #825
    234     if [[ -d /var/log/apache2 ]]; then
     234    if [ -d /var/log/apache2 ]; then
    235235        echo "#825 passed"
    236236    else
     
    309309
    310310    # ASROCK USB support (#853)
    311     if [[ -f /lib/modules/$(uname -r)/kernel/drivers/usb/host/xhci-hcd.ko
    312 ]]; then
     311    if [ -f /lib/modules/$(uname -r)/kernel/drivers/usb/host/xhci-hcd.ko ]; then
    313312        echo "ASROCK USB support passed"
    314313    else
     
    317316    fi
    318317
     318    # sudo mail disabled (#866)
     319    if sudo egrep -q 'Defaults[[:space:]][[:space:]]*!mail_no_user' /etc/sudoers; then
     320        echo "sudoers mail passed"
     321    else
     322        echo "sudoers mail FAILED"
     323        RC=$((RC+1))
     324    fi
     325
     326    # cron email disabled (#867)
     327    CRON_EMAIL=0
     328    for f in /etc/cron.d/*;do
     329        if /usr/bin/head -1 ${f}|egrep -q '^# \$Id:'; then
     330            if ! egrep -q 'MAILTO=""' ${f}; then
     331                CRON_EMAIL=1
     332            fi
     333        fi
     334    done
     335    if [ ${CRON_EMAIL} -eq 0 ]; then
     336        echo "cron email disabled passed"
     337    else
     338        echo "cron email disabled FAILED"
     339    fi
     340
     341
    319342# LIBERATED
    320 elif [[ "$(cat /etc/bccd-stage)" = "LIBERATED" ]]; then
     343elif [ "$(cat /etc/bccd-stage)" = "LIBERATED" ]; then
    321344    for MPI in mpich2 openmpi; do
    322345        module purge && module load modules intelcc ${MPI}
  • bccd-ng/trunk/trees/etc/cron.d/add-pbsnodes

    r4093 r4848  
    11# $Id$
    22
     3MAILTO=""
     4
    35* * * * * root /bin/bccd-add-pbsnodes
  • bccd-ng/trunk/trees/etc/cron.d/bccd-bluetooth

    r3431 r4848  
    11# $Id$
    22
     3MAILTO=""
     4
    35* * * * * root /bin/bccd-connect-bluetooth
  • bccd-ng/trunk/trees/etc/cron.d/bccd-copy-leases

    r3431 r4848  
    11# $Id$
    22
     3MAILTO=""
     4
    35* * * * * bccd /bin/bccd-copy-leases
Note: See TracChangeset for help on using the changeset viewer.